package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.PartyBGuardianCertificatePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraPartyBGuardianCertificateDO;
import java.util.List;

public interface ElderlyExtraPartyBGuardianCertificateService {
    Long create(ElderlyExtraPartyBGuardianCertificateDO createReqVO);
    void update(ElderlyExtraPartyBGuardianCertificateDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraPartyBGuardianCertificateDO> findPage(PartyBGuardianCertificatePageReqVO reqVO);
    ElderlyExtraPartyBGuardianCertificateDO getDetail(Long id);
    List<ElderlyExtraPartyBGuardianCertificateDO> getListByElderId(Long elderId);
}
